Name: fam
Version: 2.6.10
Release: alt3

Summary: The File Alteration Monitor
License: GPL
Group: System/Servers
Url: http://oss.sgi.com/projects/%name/
Packager: Alex Murygin <murygin@altlinux.ru>

Source: ftp://oss.sgi.com/projects/fam/download/%name-%version.tar.bz2
Source1: fam.xinetd

Patch1: fam-2.6.7-dnotify.patch
Patch2: fam-2.6.4-makefile.patch
Patch3: fam-2.6.7-cleanup.patch
Patch4: fam-2.6.8-largefile.patch
Patch5: fam-2.6.10-test.patch
Patch6: fam-2.6.10-alt-cxx.patch

%def_disable static

Requires: lib%name = %version-%release
# due to #2527.
Requires: xinetd >= 0:2.3.13-alt3

BuildRequires: gcc-c++

%package -n lib%name
Summary: The File Alteration Monitor shared library
License: LGPL
Group: System/Libraries

%package -n lib%name-devel
Summary: The File Alteration Monitor include files
License: LGPL
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: The File Alteration Monitor static library
License: LGPL
Group: Development/C
Requires: lib%name-devel = %version-%release

%description
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

fam works best if your kernel has imon.  (Otherwise, it has to poll the
filesystem instead of being notified as operations are performed on the
files it's monitoring.)  See %url for more
information on fam and imon.

%description -n lib%name
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

This package contains lib%name, the File Alteration Monitor shared library,
required for %name-based software.

%description -n lib%name-devel
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

This package contains include files required for development %name-based software.

%description -n lib%name-devel-static
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

This package contains static library required for development statically linked
%name-based software.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
autoreconf -fisv
%configure --bindir=%_sbindir %{subst_enable static}
%make_build

%install
%make_install install DESTDIR="$RPM_BUILD_ROOT"
install -pD -m640 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/sgi_%name
install -pD -m755 test/.libs/test $RPM_BUILD_ROOT%_bindir/fam_test
chmod -R a+x $RPM_BUILD_ROOT%_libdir/%name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n %name
if [ -f %_lockdir/subsys/xinetd ]; then
	service xinetd reload ||:
fi

%postun -n %name
if [ -f %_lockdir/subsys/xinetd ]; then
	service xinetd reload ||:
fi

%files
%_bindir/*
%_sbindir/*
%_libdir/%name
%_mandir/man1/*
%config(noreplace) %_sysconfdir/*.conf
%config(noreplace) %_sysconfdir/xinetd.d/*
%doc ChangeLog COPYING README TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_mandir/man3/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Thu Mar 24 2005 Dmitry V. Levin <ldv@altlinux.org> 2.6.10-alt3
- Updated xinetd config file (#2527).
- Disabled build of static library by default.

* Wed Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 2.6.10-alt2.1
- Add patch to build with gcc3.4-c++ compiler.

* Wed Apr 30 2003 Alex Murygin <murygin@altlinux.ru> 2.6.10-alt2
- fixed xinetd entry
- disabled by default
- added fam_test
- added patch largefile
- deleted macros %define _bindir %_sbindir

* Wed Apr 16 2003 Alex Murygin <murygin@altlinux.ru> 2.6.10-alt1
- new version
- fixed xinetd entry
- enabled be default
- reload xinetd if it runned

* Thu Sep 05 2002 Sergey V Turchin <zerg@altlinux.ru> 2.6.9-alt1
- new version
- add RH patches

* Mon Oct 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.4-alt3
- Added changed in same second racecondition half-fix (rh).

* Thu Aug 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.4-alt2
- Merged RH changes (by Alexander Larsson <alexl@redhat.com>):
  + Bind the server to 127.0.0.1 to avoid external connections.
  + New dnotify patch that handles queue overruns.

* Thu Apr 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.4-alt1
- Initial revision.
